aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/_posts
diff options
context:
space:
mode:
authorEgor Tensin <Egor.Tensin@gmail.com>2022-03-21 11:45:55 +0300
committerEgor Tensin <Egor.Tensin@gmail.com>2022-03-21 11:45:55 +0300
commit6cfbd7d284cfef3530c8f6d1ecdda9f0f7365f67 (patch)
tree3e4eb9b93abe7f49b4e7078614ae087818c37af5 /_posts
parentadd a favicon (diff)
downloadjekyll-theme-6cfbd7d284cfef3530c8f6d1ecdda9f0f7365f67.tar.gz
jekyll-theme-6cfbd7d284cfef3530c8f6d1ecdda9f0f7365f67.zip
snippets: add highlighted plain snippet
Diffstat (limited to '_posts')
-rw-r--r--_posts/2021-04-09-snippets.md18
1 files changed, 16 insertions, 2 deletions
diff --git a/_posts/2021-04-09-snippets.md b/_posts/2021-04-09-snippets.md
index d3277ed..a320e07 100644
--- a/_posts/2021-04-09-snippets.md
+++ b/_posts/2021-04-09-snippets.md
@@ -20,8 +20,8 @@ This is another set of snippets:
{% include snippets/section.html section_id='world' %}
-You can insert a code snippet using the regular Markdown syntax without any
-highlighting:
+Of course, you can insert a code snippet using the regular Markdown syntax
+without any highlighting:
```
#!/usr/bin/env bash
@@ -35,4 +35,18 @@ main() {
main
```
+The same with highlighting enabled:
+
+```bash
+#!/usr/bin/env bash
+
+set -o errexit -o nounset -o pipefail
+
+main() {
+ echo "Hello, world!"
+}
+
+main
+```
+
Also, some inline code: `./test.sh`!